470,648 Members | 1,612 Online
Bytes | Developer Community
New Post

Home Posts Topics Members FAQ

Post your question to a community of 470,648 developers. It's quick & easy.

Problem with pear install db

I'm running SuSE Linux 9.3, fully up to date

running # pear install db responds with ...
downloading DB-1.7.6.tgz ...
Starting to download DB-1.7.6.tgz (124,807 bytes)
.............................done: 124,807 bytes
requires package `PEAR' >= 1.0b1
DB: Dependencies failed

Googling around this ng I found someone with a similar problem who solved it
with ...
# pear install archive_tar
# pear install console_getopt
# pear install xml_rpc
# pear install pear
# pear install db
so I tried that but the # pear install pear responded with ...
downloading PEAR-1.4.4.tgz ...
Starting to download PEAR-1.4.4.tgz (276,978 bytes)
.................................................. ........done: 276,978 bytes
requires package `PEAR' >= 1.3.3
PEAR: Dependencies failed

I've googled around a fair bit but I can't find a solution.
Can anyone help me please.

Alan

--
email =~ s/nospam/fudokai/
Nov 22 '05 #1
2 5554
try:
pear install -a db

maybe you'll have to update PEAR before
pear install -a -f pear

Nov 22 '05 #2
Mei√£o wrote:
try:
pear install -a db

maybe you'll have to update PEAR before
pear install -a -f pear


thanks ...

# pear install -a db
downloading DB-1.7.6.tgz ...
Starting to download DB-1.7.6.tgz (124,807 bytes)
.............................done: 124,807 bytes
downloading PEAR-1.4.4.tgz ...
Starting to download PEAR-1.4.4.tgz (276,978 bytes)
....done: 276,978 bytes
Release for 'pear' Release for 'pear' dependency
dependency 'PEAR_Frontend_Gtk' has state 'beta', requires
'PEAR_Frontend_Web' has 'stable'
state 'beta', requires
'stable'
install failed
# pear install -f -a pear
downloading PEAR-1.4.4.tgz ...
Starting to download PEAR-1.4.4.tgz (276,978 bytes)
.................................................. ........done: 276,978 bytes
Release for 'pear' Release for 'pear' dependency
dependency 'PEAR_Frontend_Gtk' has state 'beta', requires
'PEAR_Frontend_Web' has 'stable'
state 'beta', requires
'stable'
install failed

Ok so then ...

# pear install -a PEAR_Frontend_Gtk
No release with state equal to: 'stable' found for 'PEAR_Frontend_Gtk'

Damn - this is getting to be a PITA :-/
Alan

--
email =~ s/nospam/fudokai/
Nov 22 '05 #3

This discussion thread is closed

Replies have been disabled for this discussion.

Similar topics

3 posts views Thread by Ron King | last post: by
3 posts views Thread by Jan Holland | last post: by
3 posts views Thread by junkmail | last post: by
reply views Thread by Michel P. | last post: by
3 posts views Thread by David | last post: by
reply views Thread by metin | last post: by
1 post views Thread by CSTechie | last post: by
2 posts views Thread by jhalaseh | last post: by
4 posts views Thread by awebguynow | last post: by
1 post views Thread by Korara | last post: by
reply views Thread by warner | last post: by
By using this site, you agree to our Privacy Policy and Terms of Use.